/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.ast.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.AstPackDAO;
import com.abssqr.plat.common.model.convertor.AstPackConvert;
import com.abssqr.plat.common.model.domain.ast.AstPack;
import com.abssqr.plat.common.model.repo.ast.AstPackRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.repo.ast.impl: AstPackRepositoryImpl.java, v 0.1 2020-04-18 3:16 PM xiachenxiang Exp $
 */
@Component
public class AstPackRepoImpl implements AstPackRepo {
    @Autowired
    private AstPackDAO astPackDAO;


    @Override
    public AstPack getByAbsPackPackNo(String packNo) {
        return AstPackConvert.convertDomain(astPackDAO.getByAbsPackPackNo(packNo));
    }

    @Override
    public Long cntByPackName(String packName) {
        return astPackDAO.cntByPackName(packName);
    }

    @Override
    public int insert(AstPack pack){
        return astPackDAO.insert(AstPackConvert.convertDO(pack));
    }
}
