package com.abssqr.plat.web.controller.astPool;

import com.abssqr.plat.common.facade.param.astPool.AstPoolOprParam;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.LoanListVO;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;
import com.abssqr.plat.common.facade.service.AstPoolService;
import com.abssqr.plat.common.facade.validation.Valid;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@RestJsonController
@RequestMapping("astPool")
public class AstPoolController {
    @Autowired
    private AstPoolService astPoolService;

    @PostMapping("add.json")
    public BaseResult add(@Valid AstPoolOprParam astPoolOprParam){
        return BaseResult.success(astPoolService.add(astPoolOprParam));
    }
    @PostMapping("page.json")
    public BasePage<AstPoolVO> page(AstPoolPageQryParam astPoolPageQryParam){
        return astPoolService.page(astPoolPageQryParam);
    }
    @GetMapping("get.json")
    public AstPoolVO get(String astNo){
        return  astPoolService.get(astNo);
    }



}
